

		.panel {
			float: left;
			width: 150px;
			height: 150px;
			cursor: pointer;
			cursor: hand;

			overflow: hidden;

			border: solid;
			border-width: 1px;
			border-color: lightgray;

			background-color: white;
			
			-webkit-perspective: 600px;
			-moz-perspective: 600px;
		}


		/* -- make sure to declare a default for every property that you want animated -- */
		/* -- general styles, including Y axis rotation -- */

		.panel .back p{
			text-align: center;
			padding-top: 25%;
			color: lightgray;
	
			font-size: 14px;
			line-height: 20px;
			border: none;
		}

		.panel .front {
			float: none;
			position: absolute;
			top: 0;
			left: 0;
			z-index: 900;
			width: inherit;
			height: inherit;
			background-color: #333333;


			-webkit-transform: rotateX(0deg) rotateY(0deg);
			-webkit-transform-style: preserve-3d;
			-webkit-backface-visibility: hidden;

			-moz-transform: rotateX(0deg) rotateY(0deg);
			-moz-transform-style: preserve-3d;
			-moz-backface-visibility: hidden;

			/* -- transition is the magic sauce for animation -- */
			-o-transition: all .5s ease-in-out;
			-ms-transition: all .5s ease-in-out;
			-moz-transition: all .5s ease-in-out;
			-webkit-transition: all .5s ease-in-out;
			transition: all .5s ease-in-out;
		}
		
		.panel .back {
			float: none;
			position: absolute;
			top: 0;
			left: 0;
			z-index: 800;
			width: inherit;
			height: inherit;
			text-align: center;

			overflow: hidden;
			
			-webkit-transform: rotateY(-180deg);
			-webkit-transform-style: preserve-3d;
			-webkit-backface-visibility: hidden;

			-moz-transform: rotateY(-180deg);
			-moz-transform-style: preserve-3d;
			-moz-backface-visibility: hidden;

			/* -- transition is the magic sauce for animation -- */
			-o-transition: all .5s ease-in-out;
			-ms-transition: all .5s ease-in-out;
			-moz-transition: all .5s ease-in-out;
			-webkit-transition: all .5s ease-in-out;
			transition: all .5s ease-in-out;
		}
		
		.panel.flip .back {
			z-index: 1000;
			background: #0088cc;

			-webkit-transform: rotateX(0deg) rotateY(0deg);
			-moz-transform: rotateX(0deg) rotateY(0deg);
		}

		.panel.flip .front {
			z-index: 900;
			background: #333;

			-webkit-transform: rotateY(180deg);
			-moz-transform: rotateY(180deg);
			
		}

		.panel.tease .front {
			z-index: 900;
			background: #2E8AE6;
		}
